package fr.enseeiht.aedt;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.core.env.Environment;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Slf4j
@EnableSwagger2
@EnableCaching
@SpringBootApplication
public class ApiApplication implements ApplicationRunner {

    @Autowired
    private Environment environment;

    public static void main(String[] args) {
        SpringApplication.run(ApiApplication.class, args);
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        String jdbcUrl = environment.getProperty("spring.datasource.url");
        String user = environment.getProperty("spring.datasource.username");
        String password = environment.getProperty("spring.datasource.password");
        String cas = environment.getProperty("cas.uri");
        String verify = environment.getProperty("cas.verify");
        log.info("URL: " + jdbcUrl);
        log.info("USER: " + user);
        log.info("PASSWORD: " + password);
        log.info("CAS URI: " + cas);
        log.info("CAS VERIFY: " + verify);
    }
}